# Get an incoming wire transfer

Returns a specific incoming wire transfer.

Endpoint: GET /incoming_wire_transfers/{id}
Version: v3
Security: auth_token, api-key

## Security:

  - `auth_token` (unknown)
    http bearer JWT

  - `api-key` (unknown)
    apiKey in header api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of the incoming wire transfer.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string, required)
    The unique identifier of the incoming wire transfer.

  - `profileId` (string)
    The profile Id which a specific identity, instrument or transaction type is linked to.

Profiles contain configuration and determine behavioral aspects of the newly created transaction, for example, fees that may apply.

You can have one or more profiles linked to your application, and these can be used to drive different behaviors according to your product's needs.

Profile Ids can be found in the Multi Portal, in the API Credentials page.

  - `state` (string, required)
    The state of an incoming wire transfer:
- PENDING: The transfer has been received and is being processed. Funds have not yet been credited to the destination account.
- COMPLETED: Funds have been credited to the destination account.
- REJECTED: The transfer was not accepted; funds were not credited.
    Enum: "PENDING", "COMPLETED", "REJECTED"

  - `amount` (object, required)
    The object representing a monetary amount in a particular currency.

  - `amount.currency` (string, required)
    The currency expressed in ISO-4217 code. Example: GBP, EUR, USD.

  - `amount.amount` (integer, required)
    The monetary amount, scaled to the lowest denomination of the currency.

Example, an amount of 1000 for a EUR currency is actually 1000 Euro cents or EUR 10.00.

  - `destinationInstrument` (object, required)

  - `destinationInstrument.id` (string, required)

  - `destinationInstrument.type` (string, required)
    Enum: "managed_cards", "managed_accounts"

  - `paymentNetwork` (string)
    The payment network over which the transfer was received.
    Enum: "SEPA", "FASTER_PAYMENTS", "SWIFT", "RIX", "BACS", "CHAPS", "TARGET"

  - `senderName` (string)
    The name of the sender.

  - `senderIban` (string)
    The IBAN of the sender.

  - `senderReference` (string)
    The payment reference provided by the sender.

  - `forex` (object)
    Foreign exchange details when the transaction involved currency conversion.

  - `forex.exchangeRate` (object)
    A floating point number, represented as a value and its scale. Its actual value can be obtained using the equation: value * pow(10, -scale).

  - `forex.exchangeRate.value` (integer)

  - `forex.exchangeRate.scale` (integer)

  - `isInstant` (boolean)
    Whether this was an instant payment.

  - `createdAt` (integer, required)
    When the IWT was received, expressed in Epoch timestamp using millisecond precision.

  - `executedAt` (integer)
    When the IWT was settled, expressed in Epoch timestamp using millisecond precision.

## Response 200 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 400:

  - `400` (unknown)
    Bad Request Error - Your request is invalid.

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 400 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 401:

  - `401` (unknown)
    Unauthorized - Your credentials or access token are invalid.

## Response 401 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 403:

  - `403` (unknown)
    Forbidden - Access to the requested resource or action is forbidden.

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 403 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 404:

  - `404` (unknown)
    Not found - The requested resource couldn't be found.

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 404 headers (application/json):

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 429:

  - `429` (unknown)
    Too many requests.

## Response 429 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

  - `x-ratelimit-limit` (string, required)
    Example: `20, 10;w=60, 20;w=3600, 200;w=86400`
The first number (20) is the limit that has been exceeded.
The remaining numbers are the limits that are in force, with 'w' meaning 'window in seconds'. In this example `20;w=3600` was exceeded. 20 calls in 3600secs (1hr)

  - `x-ratelimit-reset` (integer, required)
    The number of seconds until the window is reset.

## Response 500:

  - `500` (unknown)
    Internal Server Error - There is a problem with the server. Please try again later.

## Response 500 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response 503:

  - `503` (unknown)
    Service Unavailable - The requested service is temporarily unavailable. Please try again later.

## Response 503 headers:

  - `request-ref` (string, required)
    A request identifier. Providing this reference when contacting our support team will help us investigate your query.

## Response default:

  - `default` (unknown)
    Error

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

